Bug 460718 - X server hangs
X server hangs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-30 00:33 EDT by Jussi Eloranta
Modified: 2008-11-24 06:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-24 06:37:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.93 KB, text/plain)
2008-08-30 00:33 EDT, Jussi Eloranta
no flags Details
Xorg.log (81.54 KB, text/plain)
2008-08-30 00:34 EDT, Jussi Eloranta
no flags Details
X server strace output when stuck (26.33 KB, text/plain)
2008-08-30 00:35 EDT, Jussi Eloranta
no flags Details
gdb output of molden (4.36 KB, text/plain)
2008-09-26 10:44 EDT, Jussi Eloranta
no flags Details

  None (edit)
Description Jussi Eloranta 2008-08-30 00:33:44 EDT
Created attachment 315414 [details]
xorg.conf

Description of problem:

I am experiencing frequent X server hangs with molecular graphics program molden on Fedora 9. This happens on systems with different graphics cards so it does not seem to be graphics card specific problem. I can provide he program (freeware) and a sample input file. There is no specific action that leads to this situation but it happens very frequently. Once stuck, it is possible to move the mouse pointer and to partially activate items at the top of the screen (like user switcher etc.) but nothing actually happens when one clicks on them. It is not possible to move windows etc. Killing molden does not resolve the situation. The only way to get out is to kill the X server with ctrl-alt-backspace.

I am attaching three files: xorg.conf, strace of X server that is stuck, Xorg.log.


Version-Release number of selected component (if applicable):

Up to date Fedora 9 (as of Aug-29-08)

How reproducible:

Use molden and access menus & buttons. This happens by random when using the program. It seems to happen more often when running molden from a remote machine over the network.
Comment 1 Jussi Eloranta 2008-08-30 00:34:45 EDT
Created attachment 315415 [details]
Xorg.log
Comment 2 Jussi Eloranta 2008-08-30 00:35:21 EDT
Created attachment 315416 [details]
X server strace output when stuck
Comment 3 Matěj Cepl 2008-09-09 11:47:29 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

I don't see anything suspicious in the Xorg.*.log file, so I would like to find what exactly happens to molden (just for my curiosity -- are we talking about this program http://www.cmbi.ru.nl/molden/molden.html?). Could you try to run the program in gdb like

gdb /usr/bin/molden

Then use command run and do whatever you did to make molden stall. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text.

Most likely you will get a lot of lines in the backtrace showing double-question-marks instead of names of the functions. Try to investigate which package is the file where the error comes from and install appropriate debuginfo package Using rpm -qif --qf "%{SOURCERPM}/n" <filename-with-path> will show you the name of the copmonent. And then install appropriate debuginfo package with debuginfo-install <component> (debuginfo-install is from the package yum-utils). Repeat until you have no double-question-marks in the backtrace or until you are not able to make it better. You can try (if you know how to do it) to recompile molden with this debugging information preserved, it may help to get rid of some question marks.

Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

Thank you very much for the help.
Comment 4 Peter Hutterer 2008-09-09 13:28:29 EDT
> I am experiencing frequent X server hangs with molecular graphics program
> molden on Fedora 9. This happens on systems with different graphics cards so it
> does not seem to be graphics card specific problem. I can provide he program
> (freeware) and a sample input file. There is no specific action that leads to
> this situation but it happens very frequently. Once stuck, it is possible to
> move the mouse pointer and to partially activate items at the top of the screen
> (like user switcher etc.) but nothing actually happens when one clicks on them.
> It is not possible to move windows etc. Killing molden does not resolve the
> situation. The only way to get out is to kill the X server with
> ctrl-alt-backspace.

This could be a stuck grab, although in theory the grab should be released when molden exits. There's a similar description on http://bugs.freedesktop.org/show_bug.cgi?id=11662
Comment 5 Jussi Eloranta 2008-09-09 13:49:45 EDT
I will get the gdb output at some point. When X gets stuck like this killing molden does not help. Only killing the X server resolves the issue.
Comment 6 Matěj Cepl 2008-09-10 10:35:57 EDT
Let's keep that NEEDINFO here, so that we won't forget about it -- I am not rushing you at all, if you answer me in a month, then I will be happy.
Comment 7 Jussi Eloranta 2008-09-26 10:44:50 EDT
Created attachment 317800 [details]
gdb output of molden

In this case I was running molden on a remote X server but it got stuck just like it does for local displays. After that I attached to molden with gdb -p
and did "where" (with debug infos installed)
Comment 8 Peter Hutterer 2008-09-28 20:32:09 EDT
The output shows that molden is waiting for (specific) events to come from the server. Can you do the same thing on the X server please, maybe it gets stuck somewhere?
Comment 9 Matěj Cepl 2008-10-29 05:53:50 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 10 Matěj Cepl 2008-11-24 06:37:23 EST
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.